Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] Syntax error when using emerge
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
tostadora
n00b
n00b


Joined: 09 Apr 2005
Posts: 18

PostPosted: Fri Aug 28, 2009 11:42 am    Post subject: [Solved] Syntax error when using emerge Reply with quote

When trying to use emerge or ebuild, I get the following message:
Quote:

/usr/portage/eclass/python.eclass: line 596: syntax error in conditional expression: unexpected token `('
/usr/portage/eclass/python.eclass: line 596: syntax error near `^/usr/lib(3'
/usr/portage/eclass/python.eclass: line 596: ` if [[ "$1" =~ ^/usr/lib(32|64)?/python[[:digit:]]+\.[[:digit:]]+ ]]; then'
*
* ERROR: sys-apps/file-4.26 failed.
* Call stack:
* ebuild.sh, line 1702: Called source '/usr/portage/sys-apps/file/file-4.26.ebuild'
* file-4.26.ebuild, line 5: Called inherit 'eutils' 'distutils' 'libtool' 'flag-o-matic'
* ebuild.sh, line 1202: Called qa_source '/usr/portage/eclass/distutils.eclass'
* ebuild.sh, line 37: Called source '/usr/portage/eclass/distutils.eclass'
* distutils.eclass, line 16: Called inherit 'eutils' 'multilib' 'python'
* ebuild.sh, line 1202: Called die
* The specific snippet of code:
* qa_source "$location" || die "died sourcing $location in inherit()"
* The die message:
* died sourcing /usr/portage/eclass/python.eclass in inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
*

I haven't been able to fix it. Any ideas?

Python: Python 2.6.2 (r262:71600, Aug 28 2009, 11:26:35)
Portage: Portage 2.1.4.5 (default-linux/x86, gcc-3.3.5-20050130, glibc-2.3.4.20041102-r1, 2.6.15-gentoo-r1 i686)


Last edited by tostadora on Wed Sep 09, 2009 11:28 am; edited 1 time in total
Back to top
View user's profile Send private message
judepereira
Apprentice
Apprentice


Joined: 19 Jan 2008
Posts: 179
Location: Portage, yes, somewhere out there

PostPosted: Sat Aug 29, 2009 6:41 pm    Post subject: Reply with quote

Did you recently upgrade to the new python? Even I got the same errors, so I just switched back to my old one... You can try to run python-updater. It may work, if it doesn't, use an earlier version.
_________________
Jude Pereira
(http://judepereira.com)
Back to top
View user's profile Send private message
Arfrever
Bodhisattva
Bodhisattva


Joined: 29 Apr 2006
Posts: 2462
Location: Polska / Lenkija

PostPosted: Wed Sep 02, 2009 2:29 am    Post subject: Reply with quote

Post the output of:
Code:
emerge --info
Back to top
View user's profile Send private message
mikegpitt
Advocate
Advocate


Joined: 22 May 2004
Posts: 3200

PostPosted: Wed Sep 02, 2009 3:49 am    Post subject: Reply with quote

If the error is in the eclass, maybe try doing another `emerge --sync` in a couple of hours in case one of the mirrors is not up to date.
Back to top
View user's profile Send private message
tostadora
n00b
n00b


Joined: 09 Apr 2005
Posts: 18

PostPosted: Wed Sep 09, 2009 11:28 am    Post subject: Reply with quote

I managed to solve it. I compiled a new updated python locally and used it to update.

Thanks for the replies.
Back to top
View user's profile Send private message
Evil.2000
n00b
n00b


Joined: 08 Jul 2006
Posts: 51
Location: Germany

PostPosted: Mon Nov 12, 2012 3:45 pm    Post subject: Reply with quote

Today i had the same problem.

I upgraded bash tp 4.2_p37 as stated here: https://bugs.gentoo.org/431058 which helped.
_________________
- All is a file. And if not, it should be.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum